/**
 * (C) Copyright IBM Corp. 2022.
 *
 * Licensed under the MIT License (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 * https://opensource.org/licenses/MIT
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 */
import { render } from '@testing-library/react';
declare const TEST_INSTANCE_CONFIG: {
    integrationID: string;
    region: "us-south";
    serviceInstanceID: string;
    openChatByDefault: boolean;
};
/**
 * Waits for an element with the given text to appear in the document.
 */
declare function waitForText(text: string, findAllByText: ReturnType<typeof render>['findAllByText']): Promise<void>;
/**
 * Waits for web chat to load and the text input field to appear.
 */
declare function waitForWebChat(findAllByPlaceholderText: ReturnType<typeof render>['findAllByPlaceholderText']): Promise<void>;
export { TEST_INSTANCE_CONFIG, waitForText, waitForWebChat };
